- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CTGAImage::STGAHeader Struct Reference

List of all members.

## Detailed Description

The header struct for TGA images,.

Note:
  16 byte aligned

Definition at line 97 of file CTGAImage.hpp.

## Public Attributes

- unsigned char m_cMapDepth
- unsigned short m_cMapLength
- unsigned short m_cMapStart
- unsigned char m_colourMapType
- unsigned short m_height
- unsigned char m_idLength
- unsigned char m_imageDescriptor
- unsigned char m_imageType
- unsigned char m_pixelDepth
- unsigned short m_width
- unsigned short m_xOffset
- unsigned short m_yOffset

## Member Data Documentation

unsigned char Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_cMapDepth

Expects 0

Definition at line 104 of file CTGAImage.hpp.

unsigned short Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_cMapLength

Expects 0

Definition at line 103 of file CTGAImage.hpp.

unsigned short Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_cMapStart

Expects 0

Definition at line 102 of file CTGAImage.hpp.

unsigned char Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_colourMapType

Expects 0

Definition at line 100 of file CTGAImage.hpp.

unsigned short Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_height

Width of the image

Definition at line 108 of file CTGAImage.hpp.

unsigned char Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_idLength

Expects 0

Definition at line 99 of file CTGAImage.hpp.

unsigned char Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_imageDescriptor

Expects 8 for 8 bit alpha

Definition at line 110 of file CTGAImage.hpp.

unsigned char Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_imageType

Expects 2 : Truecolour

Definition at line 101 of file CTGAImage.hpp.

unsigned char Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_pixelDepth

Expects 32

Definition at line 109 of file CTGAImage.hpp.

unsigned short Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_width

Height of the image

Definition at line 107 of file CTGAImage.hpp.

unsigned short Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_xOffset

Expects 0

Definition at line 105 of file CTGAImage.hpp.

unsigned short Exponent::GUI::Graphics::CTGAImage::STGAHeader::m_yOffset

Expects 0

Definition at line 106 of file CTGAImage.hpp.